@echo off
rem Edit your path using getvar - by Bill Stewart (bstewart@iname.com)

if "%OS%" == "Windows_NT" set _C=GETVAR
if "%_C%" == "" set _C=GETVARD
rem set _C=GETVARD

rem Define two temporary filenames...
set _T=%TEMP%\$EDITP0$.BAT
set _U=%TEMP%\$EDITP1$.BAT

:GETPATH
%_C% -vPATH -f%_T% -pPATH=
if errorlevel 3 goto DONE
if errorlevel 2 goto EMPTY
if errorlevel 1 goto DONE
goto QUERY

:EMPTY
echo.
echo You can't specify an empty PATH!
echo.
goto GETPATH

:QUERY
echo.
set _Y=N
%_C% -v_Y -f%_U% -l1 -boup "Are you sure you want to modify the PATH (Y/N)? "
if errorlevel 1 goto DONE
call %_U%
if not "%_Y%" == "Y" goto DONE

rem As it stands, it merely displays the set command that will be used.
rem Use "call" instead of "type" to initiate the change.
type %_T%

:DONE
if exist %_T% del %_T% > nul
if exist %_U% del %_U% > nul
set _C=
set _T=
set _U=
set _Y=
