@echo off
rem Test batch file for getvar - by Bill Stewart (bstewart@iname.com)

if "%OS%" == "Windows_NT" set _C=GETVAR
if "%_C%" == "" set _C=GETVARD
rem set _C=GETVARD

rem Define a temporary file name to use...
set _T=%TEMP%\$0TEMP0$.BAT

:GETNAME
%_C% -v_N -f%_T% -p "Enter your name: "
if errorlevel 3 goto DONE
if errorlevel 2 goto GETNAME
if errorlevel 1 goto DONE
call %_T%
echo Hello, %_N%

:REPEAT
set _Y=Y
%_C% -v_Y -f%_T% -l1 -boup "Ask again (Y/N)? "
if errorlevel 3 goto DONE
if errorlevel 2 goto REPEAT
if errorlevel 1 goto DONE
call %_T%
if "%_Y%" == "Y" goto GETNAME
if "%_Y%" == "N" goto DONE
goto REPEAT

:DONE
if exist %_T% del %_T% > nul
set _C=
set _T=
set _N=
set _Y=
